Subject: RE: [dav-dev] RE: MS IE/Office/Web Folder Behaviors with WebDAV

From: Jim Whitehead <[email-masked]>
Date: Sun, 2 Jul 2000 14:46:19 -0700

Accidentally caught by the spam filter.

- Jim

-----Original Message-----
From: Ed Nixon [mailto:[email-masked]]
Sent: Friday, June 30, 2000 7:29 PM
To: 'WebDAV WG'
Cc: [email-masked]
Subject: [Moderator Action] RE: [dav-dev] RE: MS IE/Office/Web Folder
Behaviors with WebDAV

I'm not sure I'm following the use case you describe. I'm assuming you are
using IE to get a file list? Then opening the file with IE?

Does this mean you have checked the 'Open as Web Folder' option in IE's
File>Open menu sequence? If not, you might want to check out what difference
that makes to your scenario.

This situation changes I think when you go at WebFolders from Windows
Explorer. Have you experimented with that?

               ...edN

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> Gary M Gershon
> Sent: Friday, June 30, 2000 9:03 PM
> To: Tim Ellison/OTT/OTI; WebDAV WG
> Cc: [email-masked]
> Subject: [dav-dev] RE: MS IE/Office/Web Folder Behaviors with WebDAV
>
>
>  From Tim's response, I realized that LOCKING was likely the
> menu driver
> and I spent more time studying the behavior of Microsoft
> Office.  In the
> process, I think I've answered one of my questions.  To share
> some of my
> observations:
>
> 1.  When using Word or Excel as separately launched
> applications (that is,
> not in the IE browser window), they are properly locking the
> file and do
> enable the File>Save menu choice.  I was able to observe
> locking by using
> Sharemation's very spiffy 'details' web view of the document,
> and could see
> that an exclusive lock was issued.
>
> 2.  Within IE, no lock was issued and the File>Save menu is
> disabled.  It
> was not obvious why this behavior was different, so I went to
> the W98SE
> Start>Settings>Folder Options>File Types>Edit menu to change
> IE so that it
> would launch Excel as a separate application, rather than
> showing it within
> IE's window.  This was enlightening:  The check-box is
> labeled: 'Browse in
> same window' which gives the clear impression that the
> intention is to
> launch a (read-only) browser, and not launch the fully-enabled
> application.  Thus the behaviors of not issuing a lock and
> not enabling the
> File>Save menu are quite consistent for a browser.
>
> My conclusion, at the moment, is that if the user desires to
> click on a MS
> Office document URL to a WebDAV server and edit the document,
> then one
> needs to have modified the File Type entry to un-check the
> 'Browse in same
> window' option.
>
> Does anyone know if there is a way to build the URL in the
> web page to
> force the application to be launched separately, rather than
> within the IE
> window, so that the workstation's File Type entry wouldn't need to be
> changed?  Perhaps JavaScript, an Applet, or an ActiveX
> control could do
> this?  What would be the best practice?
>
> Gary
>
> Snipped...
> > >1.  Using IE, when launching an MS Office product
> > >(Word/Excel) from a web page URL pointing to a WebDAV
> > >server, the File>Save menu choice is disabled.  One can,
> > >however, do a File>Save As... (Word and Excel are windowed
> > >within IE.)  Can (how does) one enable the File>Save menu
> > >item?  (IE 5.5, Windows 2000, Office 2000).
> >
> >My understanding is that you cannot enable File>Save since
> the clients are
> >not doing LOCKing, and therefore there is no guarantee that you have
> >exclusive access to the resource.  The semantics of Save are
> not supported
> >without LOCK, so you have to choose File>Save As... and
> explicitly accept
> >the consequences of overwriting an existing resource (i.e., are you
> >sure?...)
>
> Snipped...
>
>
>
> _______________________________________________
> dav-dev maillist  -  [email-masked]
> http://dav.lyra.org/mailman/listinfo/dav-dev
>

---

From: Jim Whitehead <[email-masked]>
Date: Mon, 3 Jul 2000 17:56:20 -0700

- Jim
-----Original Message-----
From: Gary M Gershon [mailto:[email-masked]]
Sent: Sunday, July 02, 2000 5:53 AM
To: Ed Nixon; 'WebDAV WG'
Cc: [email-masked]
Subject: [Moderator Action] RE: [dav-dev] RE: MS IE/Office/Web Folder
Behaviors with WebDAV

Ed, Indeed, the launch of the MS Office applications works well from Windows
Explorer.  In this case we are not particularly interested in getting a
native WebDAV file list within IE.  Let me clarify:

The use case revolves around building an insurance/financial services
application whereby we display a list of documents that we wish to provide
the actor with the capability of editing the document contents.  The web
page would be an HTML table with columns such as document description, date
received or created, policy or account number, document type (such as
Correspondence), document format (such as Word), etc.  A Java Servlet or ASP
creates the page being displayed.  One or more of the columns would be a
link with a URL to open the document from a WebDAV server thereby supporting
saving of changes.

The basic problem my post is addressing is that, by default, IE opens
documents in read-only mode within the browser window.  This is actually not
a bad interface for browsing, but the only way I know of (at the moment) to
cause the application (Word/Excel, etc) to be launched for updating is to
change the settings in the workstation File Types page.

It would be great if one could build the web page to allow launching of the
application to support editing a document outside of IE while still
retaining the workstation's default settings of browsing within IE.

Further it might be desirable to allow the actor to click on different
columns of the HTML table for viewing and editing, that is, have a column
with View and a column with Edit so that the document would not be locked by
a actor who has no intention of changing its contents.  In this case,
viewing (browsing) within IE would be fine, and an (editing) window outside
of IE would clearly indicate the document's locked status.  Perhaps by
placing appropriate DHTML, Applet, or ActiveX  control scripting in the
table cell, we can provide such a user interface.  I'm hoping someone may
have explored this already to save us one or more rounds of experimentation.

Another solution might be to return a different MIME type for an editing
request versus a viewing request.  The MIME types would be mapped at the
workstation into varying File Type definitions with different application
launching behaviors.  This still requires modifying the user's workstation
definitions, which is not really desirable, but is possible for a
business/intranet application.

Gary

At 10:28 PM 6/30/2000 -0400, Ed Nixon wrote:

  Does this mean you have checked the 'Open as Web Folder' option in IE's
  File>Open menu sequence? If not, you might want to check out what
difference
  that makes to your scenario.

                 ...edN

---

From: Jim Whitehead <[email-masked]>
Date: Fri, 7 Jul 2000 08:42:22 -0700

Accidentally caught by the spam filter.  Gary's email has been added to the
accept2 list for w3c-dist-auth, so no further emails should be bounced.
Well, unless he tries to send us a bit of infectous humor...

- Jim

-----Original Message-----
From: Gary M Gershon [mailto:[email-masked]]
Sent: Wednesday, July 05, 2000 3:43 PM
To: Dennis E. Hamilton
Cc: WebDAV List
Subject: [Moderator Action] Re: Fwd: RE: MS IE/Office/Web Folder
Behaviors with WebDAV

Dennis, When the document (Word/Excel...) is opened within IE, the IE menu
items are basically replaced by new menu choices that are composites of IE
and the application choices. Thus, the Help menu has both IE Help and Excel
Help choices

For the Edit menu, one gets all the standard cut/paste/clear items and one
can readily edit the document within IE.

The File menu does not have Save, but does have Save As...  When one
presses the Back button, a message box appears to ask about saving or
discarding the changes to the document, or else cancelling the operation.

This is consistent with other Office documents that are opened in read-only
mode.  One can change them, but not readily save them over the original.

Gary

>>Reply-To: <[email-masked]>
>>From: "Dennis E. Hamilton" <[email-masked]>
>>To: <[email-masked]>
>>Cc: "WebDAV WG" <[email-masked]>
>>Subject: RE: MS IE/Office/Web Folder Behaviors with WebDAV
>>Date: Sun, 2 Jul 2000 17:18:27 -0700
>>X-Mailer: Microsoft Outlook IMO, Build 9.0.2416 (9.0.2910.0)
>>Importance: Normal
>>
>>When you open the document in the IE window, is the Edit button active on
>>the toolbar?
>>
>>What does it do if you press it -- give you a separate application or do
you
>>start editing in IE?
>>
>>
>>-- Dennis
>>
>>AIIM DMware Technical Coordinator
>>http://www.infonuovo.com/dmware
>>------------------
>>Dennis E. Hamilton
>>InfoNuovo
>>mailto:[email-masked]
>>tel. +1-206-779-9430 (gsm)
>>fax. +1-425-793-0283
>>http://www.infonuovo.com
>>
>>
>>Sent: Friday, June 30, 2000 6:02 PM
>>Subject: [Moderator Action] RE: MS IE/Office/Web Folder Behaviors with
>>WebDAV
>>
>>
>>[ ... ]
>>
>>My conclusion, at the moment, is that if the user desires to click on a MS
>>Office document URL to a WebDAV server and edit the document, then one
>>needs to have modified the File Type entry to un-check the 'Browse in same
>>window' option.
>>
>>Does anyone know if there is a way to build the URL in the web page to
>>force the application to be launched separately, rather than within the IE
>>changed?  Perhaps JavaScript, an Applet, or an ActiveX control could do
>>[ ... ]

--------------------------------------------------------------------
Gary M. Gershon  -- [email-masked]